//Contador de 10 bit para la memmoria y 8-bit para los datos de entrada
module counter_direcciones_10 (
 input clk,
 input reset,
 output reg grabarmemoria,
 output reg [7:0] datos,
 output reg [9:0] direcciones
 );
 
always @(posedge clk)
	begin
		if (direcciones <= 10'b1111111111)
		begin
		direcciones <= direcciones + 10'b1;
		datos = direcciones[7:0];
		end
		else
		begin
		grabarmemoria = 1'b0;
		end
	end

memoria memoria1k_00(
.clk(clk),
.direccion(direcciones), //10 bits de dirección 0:9 en número decimal 0:1023
.din(datos), //datos entrada 8 bits
.dout(datos_salida), //datos salida 8 bits
.escribir(grabarmemoria) // señal de escribir en la memoria 
); 
 
endmodule