module memoria (
  input wire clk,
  input wire [9:0] direccion,
  input wire [7:0] din,
  output reg [7:0] dout,
  input wire escribir
);
reg [7:0] mem[0:1023];
always @(posedge clk) begin
  if (escribir)
    mem[direccion] <= din;
  dout <= mem[direccion];
end
endmodule